Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.resources.paint
Class PainterResource

    java.lang.Object
      org.flexdock.plaf.PropertySet
          org.flexdock.plaf.resources.paint.PainterResource

    public class PainterResource

extends PropertySet

Author:
  Claudio Romano

Field Summary
`static String` | `BACKGROUND_COLOR`
`static String` | `BACKGROUND_COLOR_ACTIVE`
`static String` | `CLASSNAME`

Constructor Summary
`PainterResource()`

Method Summary
`Color` | `getBgColor()`
`Color` | `getBgColorActive()`
`String` | `getClassname()`
`Class` | `getImplClass()`
`void` | `setBgColor(Color bgColor)`
`void` | `setBgColorActive(Color bgColorActive)`
`void` | `setClassname(String painter)`

Methods inherited from class org.flexdock.plaf.PropertySet
`getAction, getBoolean, getBorder, getColor, getFont, getIcon, getImage, getInt, getInteger, getName, getNumericKeys, getNumericKeys, getProperty, getString, getStrings, keys, resolveClass, setAll, setName, setProperty, size, toClass, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLASSNAME

    public static final String CLASSNAME

See Also:
  Constant Field Values

### BACKGROUND_COLOR

    public static final String BACKGROUND_COLOR

See Also:
  Constant Field Values

### BACKGROUND_COLOR_ACTIVE

    public static final String BACKGROUND_COLOR_ACTIVE

See Also:
  Constant Field Values

Constructor Detail

### PainterResource

    public PainterResource()

Method Detail

### getBgColor

    public Color getBgColor()

  Returns:
    Returns the bgColor.

### setBgColor

    public void setBgColor(Color bgColor)

  Parameters:
    `bgColor` - The bgColor to set.

### getBgColorActive

    public Color getBgColorActive()

  Returns:
    Returns the bgColorActiv.

### setBgColorActive

    public void setBgColorActive(Color bgColorActive)

  Parameters:
    `bgColorActive` - The bgColorActive to set.

### getClassname

    public String getClassname()

  Returns:
    Returns the painter.

### setClassname

    public void setClassname(String painter)

  Parameters:
    `painter` - The painter to set.

### getImplClass

    public Class getImplClass()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD